<%--
/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
Portlet portlet = PortletLocalServiceUtil.getPortletById(company.getCompanyId(), "1_WAR_contactsportlet");
%>

<liferay-portlet:renderURL portletName="1_WAR_contactsportlet" windowState="<%= WindowState.MAXIMIZED.toString() %>" varImpl="profileURL">
	<portlet:param name="jspPage" value="/contacts_center/view_user.jsp" />
	<portlet:param name="backURL" value="<%= PortalUtil.getCurrentURL(request) %>" />
</liferay-portlet:renderURL>

<aui:script>
	Liferay.on(
		'chatPortletReady',
		function() {
			Liferay.Chat.Manager.registerBuddyService(
				{
					fn: function(user) {
						var userId = user.getAttribute('userId');

						url = Liferay.Util.addParams("_1_WAR_contactsportlet_userId=" + userId, '<%= profileURL %>');

						window.location = url;
					},
					icon: '<%= portlet.getStaticResourcePath().concat(portlet.getIcon()) %>',
					name: 'contacts-portlet'
				}
			);
		}
	);
</aui:script>